Bug 251384 - sysutils/nomad: Update to 0.12.9 and fix startup script when debug is enabled
Summary: sysutils/nomad: Update to 0.12.9 and fix startup script when debug is enabled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Hixson
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-11-25 17:00 UTC by Brad Davis
Modified: 2020-12-15 22:02 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (jhixson)


Attachments
patch (773 bytes, patch)
2020-11-25 17:00 UTC, Brad Davis
no flags Details | Diff
patch (1.66 KB, patch)
2020-11-27 01:06 UTC, Brad Davis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brad Davis freebsd_committer 2020-11-25 17:00:50 UTC
Created attachment 219970 [details]
patch

Currently if you set nomad_debug="YES" and try to start nomad via some kind of automation like SaltStack, it just hangs indefinitely.  Without the `-S` option, the script will detach and go into the background properly and log to syslog like the comment in the startup script mentions.

While here, set the title option via `-t`, since otherwise the title is 'env' which is not very useful.
Comment 1 Brad Davis freebsd_committer 2020-11-27 01:06:02 UTC
Created attachment 220018 [details]
patch

Updated patch
Comment 2 Brad Davis freebsd_committer 2020-11-27 01:07:59 UTC
The VuXML entry for nomad < 0.12.6 is: 618010ff-3044-11eb-8112-000c292ee6b8
Comment 3 Automation User 2020-12-12 00:12:35 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/228755110
Comment 4 commit-hook freebsd_committer 2020-12-15 18:11:55 UTC
A commit references this bug:

Author: brd
Date: Tue Dec 15 18:11:34 UTC 2020
New revision: 558169
URL: https://svnweb.freebsd.org/changeset/ports/558169

Log:
  Update nomad to 0.12.9 and improve the rc script.

  PR:		251384
  Approved by:	maintainer timeout, zi
  Security:	618010ff-3044-11eb-8112-000c292ee6b8

Changes:
  head/sysutils/nomad/Makefile
  head/sysutils/nomad/distinfo
  head/sysutils/nomad/files/nomad.in
Comment 5 commit-hook freebsd_committer 2020-12-15 18:42:00 UTC
A commit references this bug:

Author: brd
Date: Tue Dec 15 18:41:31 UTC 2020
New revision: 558172
URL: https://svnweb.freebsd.org/changeset/ports/558172

Log:
  MFH: r558169 Update sysutils/nomad to 0.12.9

  PR:		251384
  Approved by:	zi (ports-secteam)
  Security:	618010ff-3044-11eb-8112-000c292ee6b8

Changes:
_U  branches/2020Q4/
  branches/2020Q4/sysutils/nomad/Makefile
  branches/2020Q4/sysutils/nomad/distinfo
  branches/2020Q4/sysutils/nomad/files/nomad.in